<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../stylesheet.css">
<link rel="start" href="../../overview-summary.html">

<title>formatters/textFormatter.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../source/formatters/textformatter.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>formatters/textFormatter.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>    
<a name="line3"></a>    /**
<a name="line4"></a>     * The formatter base class.
<a name="line5"></a>     *
<a name="line6"></a>     * @package PHPDoctor\Formatters
<a name="line7"></a>     */
<a name="line8"></a>    class TextFormatter
<a name="line9"></a>    {
<a name="line10"></a>        
<a name="line11"></a>		/**
<a name="line12"></a>		 * Returns the plain text value of the string, with all formatting information
<a name="line13"></a>		 * removed.
<a name="line14"></a>		 * 
<a name="line15"></a>		 * @param str $text the raw input
<a name="line16"></a>		 * @return str
<a name="line17"></a>		 */
<a name="line18"></a>        function toPlainText ($text)
<a name="line19"></a>        {
<a name="line20"></a>            return $this->_removeWhitespace($text);
<a name="line21"></a>        }
<a name="line22"></a>        
<a name="line23"></a>		/**
<a name="line24"></a>		 * Returns the text with all recognized formatting directives applied. Meaningful
<a name="line25"></a>		 * implementations are provided by subclasses. 
<a name="line26"></a>		 * 
<a name="line27"></a>		 * @param str $text the raw input
<a name="line28"></a>		 * @return str
<a name="line29"></a>		 */
<a name="line30"></a>        function toFormattedText ($text)
<a name="line31"></a>        {
<a name="line32"></a>            return $this->toPlainText($text);
<a name="line33"></a>        }
<a name="line34"></a>        
<a name="line35"></a>		/**
<a name="line36"></a>		 * Removes whitespace around newlines.
<a name="line37"></a>		 * 
<a name="line38"></a>		 * @param str $text the raw input
<a name="line39"></a>		 * @return str
<a name="line40"></a>		 */
<a name="line41"></a>        function _removeWhitespace($text)
<a name="line42"></a>        {
<a name="line43"></a>            $text = preg_replace("/[ \t]*\n[ \t]*/", "\n", $text);
<a name="line44"></a>			return $text;
<a name="line45"></a>        }
<a name="line46"></a>        
<a name="line47"></a>    }
<a name="line48"></a>    
<a name="line49"></a>?></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../source/formatters/textformatter.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>